package de.akquinet.smsfeedback;

import org.easymock.EasyMock

class ConsoleSmsDisplayTest extends GroovyTestCase {

	def control = EasyMock.createControl()
	def console = control.createMock(Console.class)

	void test() {
		def display = new ConsoleSmsDisplay(console:console)
		EasyMock.expect(console.print('''*******8 wrote:
abc

--------------------
'''))
		control.replay()
		display.display(new Sms(phone:'12345678', message:'abc'))
		control.verify()
	}
}
