package de.akquinet.smsfeedback

class VodafoneMobileClientSmsDatabase implements SmsDatabase {

	def pathToDatabase
	
	List readSms() {
		def dbString = new File(pathToDatabase).text
		def sms = []
		dbString.eachMatch(/(?s)[\x00-\x07].*?(\w[^\x00-\x07]*?)\r(\+\d+)/){ match ->
			sms << new Sms(message: match[1], phone: match[2])
		}
		sms
	}

}