package de.akquinet.smsfeedback;

/**
 * Effect is only visible on special consoles like 'cmd' on Windows with backspace support (\b or \u0008).
 */ 
class AnimatedConsole implements Console {

	def delay
	def random
	def out
	
	void print(item) {
		item.each{
			out.print it
			sleep delay
			def backspace = '\u0008'
			if(random.boolean) {
				out.print "$backspace "
				sleep delay
				out.print "$backspace$it"
			}
		}
	}
}